
Foreman - Refactor #14536

Better definition of the merging of compute attributes from different sources

04/07/2016 03:46 PM - Ivan Necas

Status: Ready For Testing   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8388

  

Description

Currently, we compose the compute attributes data on various places during the orchestration.

We should prepare all this data on one place and before actual orchestration happens (unless

the data is not know until the orchestration act). This would allow us to see better

what data are we sending to compute attributes as well as where the data re coming from

Related issues:

Related to Foreman - Bug #14211: Host image_id has not effect on the actual i... Duplicate

Related to Hammer CLI - Bug #6159: Updating image in compute resource doesn't... Closed

Related to Foreman - Refactor #32071: Improve compute VM handling Ready For Testing

History

#1 - 04/07/2016 03:48 PM - Ivan Necas

- Related to Bug #14211: Host image_id has not effect on the actual image to be used when provisioning added

#2 - 04/08/2016 03:19 AM - Dominic Cleal

- Category set to Host creation

#3 - 10/09/2018 10:30 AM - Ivan Necas

- Related to Bug #6159: Updating image in compute resource doesn't update the image_id attribute in compute profiles added

#4 - 03/11/2021 01:34 PM - Ondřej Ezr

- Related to Refactor #32071: Improve compute VM handling added

#5 - 03/11/2021 03:00 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8388 added
